{ ... }:
let
  SCRIPTS = "$XDG_CONFIG_HOME/desktop-utils/scripts";
in
{

  programs.niri.enable = true;

  home-manager.users.willifan = {
    programs.niri.settings = {
      outputs."eDP-1".scale = 1.6;

      binds = {

        "Mod+Q".action.spawn = [ "kitty" ];
        "Mod+C".action.close-window = { };
        "Mod+M".action.quit = { };
        "Mod+E".action.spawn = [ "thunar" ];
        "Mod+R".action.spawn = [ "fuzzel" ];
        "Mod+P".action.spawn = [ "Enpass" ];
        "Mod+F".action.fullscreen-window = { };

        "XF86AudioMute".action.spawn = [ "wpctl" "set-mute" "DEFAULT_AUDIO_SINK@" "toggle" ];
        "XF86AudioLowerVolume".action.spawn = [ "sh" "-c" "${SCRIPTS}/volume.sh -5" ];
        "XF86AudioRaiseVolume".action.spawn = [ "sh" "-c" "${SCRIPTS}/volume.sh 5" ];
        "XF86AudioPrev".action.spawn = [ "playerctl" "previous" ];
        "XF86AudioPlay".action.spawn = [ "playerctl" "play-pause" ];
        "XF86AudioNext".action.spawn = [ "playerctl" "next" ];
        "XF86MonBrightnessDown".action.spawn = [ "sh" "-c" "${SCRIPTS}/brightness.sh -4800" ];
        "XF86MonBrightnessUp".action.spawn = [ "sh" "-c" "${SCRIPTS}/brightness.sh 4800" ];
      };

    };
  };
}
